Subject: Re: bug#77214: `guix pull` fails with `autocrlf=true` in git config

From: Jodi Jodingtonstinski <[email-masked]>
Date: Sun, 13 Apr 2025 10:17:16 -0500

>
> It would be great if you could try it and check that it works for you.
> You can do that by:
>
>   rm -rf ~/.cache/guix/checkouts
>   git config --global core.autocrlf true
>   ./pre-inst-env guix download --git \
>      https://git.savannah.gnu.org/git/shepherd.git

I did this and it worked!
I also checked if the downloaded files had any carriage return characters
and they did not, so AFAICT that guarantees autocrlf was ignored.
thank you for this patch, I wasn't able to figure it out myself.

(I had to temporarily use my web-mail client which does not reply-all by
default so I'm re-sending this message with reply-all, my bad)